<?php
require_once '../includes/db.php';

$id = (int)$_GET['id'];

$p = $mysqli->query("
 SELECT p.*, i.*
 FROM pengajuan_surat p
 JOIN infografis i ON p.warga_id=i.id
 WHERE p.id=$id
")->fetch_assoc();

$data = json_decode($p['data_tambahan'], true);

if($p['jenis_surat']=='usaha'){
  $nomor = "510/".rand(100,999)."/DS.M/".date('m')."/".date('Y');

  $mysqli->query("
   INSERT INTO surat_usaha
   (warga_id,nomor_surat,bidang_usaha,alamat_usaha,tahun_berdiri,tanggal_surat)
   VALUES
   ({$p['warga_id']},
    '$nomor',
    '{$data['bidang_usaha']}',
    '{$data['alamat_usaha']}',
    '{$data['tahun_berdiri']}',
    CURDATE())
  ");
}

header("Location: surat_{$p['jenis_surat']}.php");
